// ↓環境に合わせて変更するパラメーター↓
// 加算元の日付型項目
const BASE_DATE_ELEMENT_ID = "EXT_2_ANK_DATE_3;
// 加算する数値型項目
const ADD_YEAR_ELEMENT_ID = "myform_EXT_2_ANK_INTEGER_1_id";
// 出力先の日付型項目
const RESULT_DATE_ELEMENT_ID = "EXT_2_ANK_DATE_4";
// ↑環境に合わせて変更するパラメーター↑

document.addEventListener("DOMContentLoaded", function () {
  let base_date_element = document.getElementById(BASE_DATE_ELEMENT_ID);
  let add_year_element = document.getElementById(ADD_YEAR_ELEMENT_ID);
  let result_date_element = document.getElementById(RESULT_DATE_ELEMENT_ID);

  function addYearToDate(baseDate, yearToAdd) {
    const initialDate = new Date(baseDate);
    initialDate.setFullYear(initialDate.getFullYear() + yearToAdd);

    const year = String(initialDate.getFullYear());
    const month = String(initialDate.getMonth() + 1).padStart(2, "0");
    const day = String(initialDate.getDate()).padStart(2, "0");

    return `${year}-${month}-${day}`;
  }

  function calculateAndDisplayResultDate() {
    const baseDate = base_date_element.value;
    const yearToAdd = parseInt(add_year_element.value, 10);

    // 確認：parseIntの結果が有効な数値であることを確認
    if (baseDate && !isNaN(yearToAdd)) {
      const resultDate = addYearToDate(baseDate, yearToAdd);
      result_date_element.value = resultDate;
    }
  }

  if (base_date_element && add_year_element && result_date_element) {
    base_date_element.addEventListener("change", calculateAndDisplayResultDate);
    add_year_element.addEventListener("change", calculateAndDisplayResultDate);
  }
});
